checkD := function(gr, c)
  local sg, x, y;
  x := Representative(c);
  for y in c do
    if not (x*y)^2 = (y*x)^2 then 
      sg := Subgroup(gr, [x,y]);
      if IsConjugate(sg, x, y) = false then
        return [x,y];
      fi;
    fi;
  od;
  return fail;
end;
 
LoadPackage("atlasrep");

LogTo("3A.log");

gr := AtlasGroup("Co1");
cc := ConjugacyClasses(gr);
ct := CharacterTable(gr);

n := Position(List(cc, c->Size(gr)/Size(c)), 1345036492800);
Print("Checking the class 3A of size ", Size(cc[n]), ": ", checkD(gr, cc[n]), "\n");

