checkD := function(gr, c)
  local sg, x, y;
  x := Representative(c);
  for y in c do
    if not (x*y)^2 = (y*x)^2 then 
      sg := Subgroup(gr, [x,y]);
      if IsConjugate(sg, x, y) = false then
        return [x,y];
      fi;
    fi;
  od;
  return fail;
end;
 
LoadPackage("atlasrep");

LogTo("3A.log");

gr := AtlasGroup("Suz");
cc := ConjugacyClasses(gr);
ct := CharacterTable("Suz");

Print("Connect group and character table: ", ConnectGroupAndCharacterTable(gr, ct), "\n");

n := IdentificationOfConjugacyClasses(ct)[ct.3a];

Print("Checking the class 3A of size ", Size(cc[n]), ": ", checkD(gr, cc[n]), "\n");

